Bug 1383657 - dbus: Format string vulnerability
Summary: dbus: Format string vulnerability
Status: CLOSED WONTFIX
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20161010,repor...
Keywords: Security
Depends On: 1383658
Blocks: 1383659
TreeView+ depends on / blocked
 
Reported: 2016-10-11 11:33 UTC by Andrej Nemec
Modified: 2019-06-08 21:30 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-14 19:33:48 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-11 11:33:23 UTC
A format string vulnerability in the reference bus implementation,
dbus-daemon, could potentially allow local users to cause arbitrary
code execution or denial of service.

References:

http://seclists.org/oss-sec/2016/q4/85

Upstream bug (patches attached):

https://bugs.freedesktop.org/show_bug.cgi?id=98157

Comment 1 Andrej Nemec 2016-10-11 11:34:08 UTC
Created dbus tracking bugs for this issue:

Affects: fedora-all [bug 1383658]

Comment 2 Doran Moppert 2016-10-12 01:10:00 UTC
Versions prior to 1.4.0 are not affected.

Note the "mitigated in" versions mentioned in oss-security post, where the attack is still possible but can only be conducted by root, who can already do much worse.  Mitigations for CVE-2015-0245 are also effective in the same way.

The simplest mitigation for rhel-7 appears to be altering system.conf as per:

https://cgit.freedesktop.org/dbus/dbus/commit/?id=6dbd09fedc396c53b25ea73c6c8a278beca349c7

Comment 4 Doran Moppert 2016-10-12 05:42:10 UTC
This flaw reliably causes a crash in dbus.  But code execution is prevented by _FORTIFY_SOURCE (inhibiting %n) and the fix for CVE-2012-0864 (arbitrary write using %*N).  dbus will be restarted the next time anything tries to communicate with it, so the denial of service is temporary.

Comment 5 Fedora Update System 2016-10-13 05:52:50 UTC
dbus-1.11.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1dc6be6005

Comment 6 Fedora Update System 2016-10-14 19:33:48 UTC
dbus-1.11.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Doran Moppert 2016-10-17 01:12:11 UTC
Mitigation:

The vulnerable dbus interface is intended only for use by systemd, running as root.  To prevent non-root attackers from reaching the interface to exercise this flaw, the following configuration can be added to /etc/dbus/system.bus, inside the <busconfig> tag:

  <!-- Only systemd, which runs as root, may report activation failures. -->
  <policy user="root">
    <allow send_destination="org.freedesktop.DBus"
           send_interface="org.freedesktop.systemd1.Activator"/>
  </policy>

See https://cgit.freedesktop.org/dbus/dbus/commit/?id=6dbd09fedc396c53b25ea73c6c8a278beca349c7

Comment 8 Doran Moppert 2016-10-17 01:17:20 UTC
Statement:

Red Hat Product Security has rated this issue as having Moderate security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.


Note You need to log in before you can comment on or make changes to this bug.